Getting Started

The PowerChute® Business Edition software suite consists of the three individual components identified in the illustration below:

  • PowerChute Business Edition Agent
  • PowerChute Business Edition Server
  • PowerChute Business Edition Console

For a description of these three applications, see PowerChute Business Edition Components; for an overview of the process you use to install these components, see Installation Procedure.

Copyright © 2006
American Power Conversion Corp.
http://www.apc.com
All rights reserved.
Last updated: July 05, 2006.


PowerChute Business Edition Components

PowerChute Business Edition Agent
Provides UPS status monitoring and, in the event of an extended power outage, system shutdown capabilities for your UPS-protected computers.

This software must be installed on each computer that is directly attached to one of the UPS systems described in Supported UPS Models.

PowerChute Business Edition Server
Used to configure and monitor the PowerChute Business Edition Agents.

The PowerChute Server gathers information from the PowerChute Agents and provides centralized event tracking, event notification and a single point of contact for the PowerChute Console.

This software must be installed on one of your networked computers.

PowerChute Business Edition Console
Connects to the PowerChute Business Edition Server to provide the user interface for managing and configuring your UPS-protected systems.

Install the PowerChute Console on any workstation, desktop, or laptop (running a supported operating system).

Note:
This help sometimes uses PowerChute to represent PowerChute Business Edition, for example, PowerChute Server instead of PowerChute Business Edition Server.
Copyright © 2006


Installation Procedure

The following list identifies the steps used to install PowerChute Business Edition, and provides links to more information about each step.

  • STEP 1: Install the PowerChute Business Edition Agent
  • STEP 2: Install the PowerChute Business Edition Server
  • STEP 3: Install the PowerChute Business Edition Console
  • STEP 4: Add UPS systems to your network

You might find this section useful:

  • Silent Installation of a Windows Agent
Note:
You should uninstall other APC PowerChute applications before trying to install PowerChute Business Edition. These applications include PowerChute plus, PowerChute Personal Edition, and PowerChute Network Shutdown.


STEP 1: Install the PowerChute Business Edition Agent

Install the PowerChute Agent on each of your UPS-protected computers.

  1. Click on the Install button for a standard installation, or click on the Update button to install over an existing installation.
  2. Accept the license agreement.
  3. Choose the destination location for the PowerChute Agent files.

    4. You are not asked for a location during an update-type installation. The previous value is used by default.

  4. Allow the install to automatically detect your attached UPS.

    5. You are not asked to select a UPS during an update-type installation. The previously used one is selected by default.

    Notes:
    If you click No when asked, “Would you like to automatically search all communications ports for an APC UPS,” a dialog box appears which you use to select the UPS type and Communication Port that the PowerChute Agent’s host uses.

    If your UPS uses simple-signaling, then you have to detect it manually. If you are using a simple-signaling UPS with an accessory such as Interface Expander or Share-UPS, then select the basic port of the accessory. This will enable you to support both Timer Mode and Confirm Mode.
  5. Enter a user name and password. This user name and password must be the same for all of your PowerChute Agents, but does not have to match any computer, administrator or domain accounts.

    6. You are not asked for a user name and password during an update-type installation. The previous values are used by default.


STEP 2: Install the PowerChute Business Edition Server

Install the PowerChute Server on one of your UPS-protected computers to provide centralized management of your PowerChute Business Edition Agents. It is recommended, but not required, that you install the PowerChute Server on one of your PowerChute Agent machines to maximize system availability.

  1. Click on the Install button for a standard installation, or click on the Update button to install over an existing installation.
  2. Accept the license agreement.
  3. Enter a user name and password. This user name and password must be the same as the information chosen in STEP 1: Install the PowerChute Business Edition Agent for your PowerChute Agents.

    4. You are not asked for a user name and password during an update-type installation. The previous values are used by default.

  4. Enable Automatically check for product updates if you want the PowerChute Server to check periodically with APC for newer product versions.
  5. Create your configuration profile, the global settings for all of your PowerChute Agents.

    6. You are not asked to configure a profile during an update-type installation. The previous settings are used by default.

  6. Select the PowerChute Agents to be managed by the newly installed PowerChute Server. Select the Agents on the left and click Add, or click New to manually enter an Agent address. When all changes are completed, click Apply to send your configuration profile to each of the selected Agents.
    7. Note:
    The “Device List Configuration” dialog box automatically discovers PowerChute Agents on the local network segment. With the Deluxe version of the software, you can discover Agents on other network segments by clicking on Configure Discovery.


STEP 3: Install the PowerChute Business Edition Console

Install the PowerChute Console on any of your desktop, workstation or laptop computers. The PowerChute Console may be installed on multiple computers if you typically manage your computers and/or software from different locations.

Click on the Install button for a standard installation, or click on the Update button to install over an existing installation.


STEP 4: Add UPS systems to your network

For each new UPS added to your network, do the following:

  1. Repeat STEP 1: Install the PowerChute Business Edition Agent on the computer connected to the new UPS.
  2. Select Configure Device List under the Tools menu in the PowerChute Business Edition Console to discover and add the new PowerChute Agent.


Silent Installation of a Windows Agent

This feature is only available with the Deluxe version of PowerChute Business Edition.

With a normal, non-silent installation it is usually necessary to respond to prompts during the installation. Silent installations do not prompt for input because they already have the answers.

Step 1: Creating a Silent Installation Answer File
  1. Remove all components of PowerChute from your working computer.
  2. Copy the bin\agent folder from the PowerChute CD to a local folder such as C:\agent.
  3. Launch a command prompt by selecting the Windows Start button and then Run, and typing command in the box. Click OK.
  4. Make sure that a UPS is attached to the machine.
  5. At the command prompt, type
    <agent path>setup.exe -r
    e.g. C:\agent\setup.exe -r
    -r records the answers you provide during the installation process.

    6. During the installation, select the option to have PowerChute automatically detect the UPS. Then, during the silent installations, the UPS will be detected even if it is on a different port.

  6. The installation creates a file named setup.iss (usually in the \System32 folder under your \Windows folder). Search to find it, if necessary. Copy it to the agent folder you created in step 2 above.
Step 2: Performing a Silent Installation

The silent installation uses the answer file you created in the previous section.

  1. Copy the entire agent folder (containing the setup.iss file) to the computer where the silent installation is to be performed.

    2. Alternatively, you could copy the folder to a network drive and map to that drive from each installation computer. See an example involving a mapped drive W: below in step 3.

  2. Launch a command prompt by selecting the Windows Start button and then Run, and typing command in the box. Click OK.
  3. At the command prompt, type
    <agent path>setup.exe -s
    e.g. C:\agent\setup.exe -s
    e.g. W:\agent\setup.exe -s
    where w is a mapped network drive

    4. You can also use the -m argument to log the results in an SMS file whose name is status.mif.
    e.g. C:\agent\setup.exe -s -m

    To determine when the silent installation has completed, leave the command prompt window open until the prompt displays again (e.g. C:\agent>). It might take several minutes.

  4. Close the command prompt window.


Supported UPS Models

The Release Notes online help file, Relnotes.chm, typically located in C:\Program Files\APC\PowerChute Business Edition, contains information on the software and hardware requirements for this program.